﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private GPS1 As GPS
	Private RP As RuntimePermissions
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")

	GPS1.Initialize("GPS")
	
	If GPS1.GPSEnabled = False Then
		ToastMessageShow("Please enable the GPS device.", True)
		StartActivity(GPS1.LocationSettingsIntent) 'Will open the relevant settings screen.
	Else
		RP.CheckAndRequest(RP.PERMISSION_ACCESS_FINE_LOCATION)
		Wait For B4XPage_PermissionResult (Permission As String, Result As Boolean)
		If Result Then  GPS1.Start(0 , 0)
	End If
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

'Starter service
Sub GPS_LocationChanged (Location1 As Location)
	Log("Lat = " & Location1.ConvertToMinutes(Location1.Latitude))
	Log("Lon = " & Location1.ConvertToMinutes(Location1.Longitude))
	Log($"Speed = $1.2{Location1.Speed} m/s "$)
End Sub
